#include <iostream>
#include <vector>
#include "histogram.h"

using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};

};
Input
input_data(){
    size_t number_count;
    cin >> number_count;

    Input in;
    in.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; i++) {
        cin >> in.numbers[i];
    }
    cin >> in.bin_count;
    return in;
}
void show_histogram(vector<size_t> bins,size_t bin_count){
    for(size_t i=0;i<bin_count;i++){
        cout<<bins[i]<<"|";
        for(size_t j=0;j<bins[i];j++)
            cout<<"*";
        cout<<endl;}
}
int main()
{   auto in = input_data();
    auto bins = make_histogram(in.numbers,in.bin_count);
    show_histogram(bins,in.bin_count);

}

